Skip to main content
GET
/
data-studio
/
data-source
/
2026-09-beta
/
{datasourceId}
Retrieve
curl --request GET \
  --url https://api.hubapi.com/data-studio/data-source/2026-09-beta/{datasourceId} \
  --header 'Authorization: Bearer <token>'
{
  "columns": [
    {
      "name": "<string>",
      "type": "<string>"
    }
  ],
  "createdAt": "<string>",
  "datasourceId": 123,
  "datasourceName": "<string>",
  "datasourceType": "FILE",
  "lastIngestionStatus": "FAILED"
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

datasourceId
integer<int64>
required

The ID of the datasource.

Response

successful operation

columns
object[]
required

An array of FileColumn objects representing the columns in the data source.

createdAt
string
required

The creation date and time of the data source, represented as a string.

datasourceId
integer<int64>
required

The unique identifier for the data source, represented as a 64-bit integer.

datasourceName
string
required

The name of the data source, represented as a string.

datasourceType
enum<string>
required

The type of the data source, which is a string with a valid value of 'FILE'.

Available options:
FILE
lastIngestionStatus
enum<string>
required

The status of the last data ingestion process, represented as a string. Valid values include 'SUCCESSFUL', 'IN_PROGRESS', and 'FAILED'.

Available options:
FAILED,
IN_PROGRESS,
SUCCESSFUL
Last modified on March 20, 2026